! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.


  module G19M
    implicit none
    integer, parameter, private :: SEVERAL = 40, LENGTH = 5
    type, public :: Station  ! Derived type definition
      integer :: Station_Number
      character (len = SEVERAL) :: Name
      real, dimension(LENGTH) :: Data
    end type Station
  end module G19M
